/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.agent.service;

import com.zayac.admin.agent.model.entity.FinanceDO;
import top.continew.starter.extension.crud.service.BaseService;
import com.zayac.admin.agent.model.query.FinanceQuery;
import com.zayac.admin.agent.model.req.FinanceReq;
import com.zayac.admin.agent.model.resp.FinanceDetailResp;
import com.zayac.admin.agent.model.resp.FinanceResp;

import java.time.LocalDate;
import java.util.List;

/**
 * 代理线财务报业务接口
 *
 * @author zayac
 * @since 2024/06/04 17:14
 */
public interface FinanceService extends BaseService<FinanceResp, FinanceDetailResp, FinanceQuery, FinanceReq> {
    void addAll(List<FinanceDO> financeReqList);

    List<FinanceDO> getFinanceByDate(LocalDate yesterday);
}