/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.resp.team;

import com.zayac.admin.resp.Venue;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class TeamAccountFinance {
    private Long memberId;  // 会员ID
    private String agentName;  // 代理名称
    private String inviteCode;  // 邀请码
    private String topName;  // 顶级代理名称
    private Integer category;  // 分类ID
    private String categoryName;  // 分类名称
    private String commissionDate;  // 佣金日期
    private Integer active;  // 活跃状态
    private Integer subordinateUserCount;  // 下属用户数量
    private BigDecimal deposit;  // 存款金额
    private BigDecimal draw;  // 取款金额
    private BigDecimal profit;  // 利润
    private BigDecimal thirdPartySpend;  // 第三方支出
    private BigDecimal promo;  // 促销金额
    private BigDecimal rebate;  // 回扣金额
    private BigDecimal netProfit;  // 净利润
    private BigDecimal riskAdjust;  // 风险调整金额
    private String czProfit;  // 未知字段，可能是调整后利润
    private String rate;  // 费率
    private String lastBalance;  // 上一次余额
    private String correction;  // 修正值
    private String commission;  // 佣金
    private String balance;  // 余额
    private String remark;  // 备注
    private String agentRemark;  // 代理备注
    private String adminName;  // 管理员名称
    private Integer commissionStatus;  // 佣金状态
    private String plateDetail;  // 平台详情
    private String releaseAt;  // 发布日期
    private String teamName;  // 团队名称
    private String sendRemark;  // 发送备注
    private Integer agentStatus;  // 代理状态
    private Integer secondaryLine;  // 二级线路
    private List<Venue> venueList;  // 场馆列表
    private Integer isCaptain;  // 是否为队长
    private String name;  // 名称
    private Integer countDeposit;  // 存款次数
    private Integer countDraw;  // 取款次数
    private Integer countBets;  // 投注次数
    private String vipSpecialCommission;  // VIP特殊佣金
    private Integer newActive;  // 新的活跃状态
    private String repairNetProfit;  // 修正后的净利润
    private Integer showCommissionRate;  // 显示的佣金率
    private Integer effectiveNew;  // 有效的新用户
    private String repCorrection;  // 修正值
    private BigDecimal handlingFee;  // 手续费
    private Integer partnershipProfit;  // 合作利润
    private BigDecimal bets;  // 投注金额
    private BigDecimal lotteryBet;  // 彩票投注金额
    private BigDecimal costMoney;  // 成本金额
    private BigDecimal costRate;  // 成本率
    private BigDecimal rebateRate;  // 回扣率
    private BigDecimal lotteryCommission;  // 彩票佣金
    private BigDecimal negativeProfitRate;  // 负利润率
    private BigDecimal negativeProfitCommission;  // 负利润佣金
    private BigDecimal lotteryProfit;  // 彩票利润
}
