/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.system.model.entity;

import java.io.Serial;

import com.zayac.admin.common.enums.DisEnableStatusEnum;
import lombok.Data;

import com.baomidou.mybatisplus.annotation.TableName;

import top.continew.starter.extension.crud.model.entity.BaseDO;

/**
 * 平台实体
 *
 * @author zayac
 * @since 2024/05/14 12:28
 */
@Data
@TableName("sys_platform")
public class PlatformDO extends BaseDO {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 平台代码
     */
    private Integer code;

    /**
     * 平台名称
     */
    private String name;

    /**
     * 别称
     */
    private String nickname;

    /**
     * 平台地址
     */
    private String url;

    /**
     * 状态(1启用,2禁用)
     */
    private DisEnableStatusEnum status;

    /**
     * 描述
     */
    private String description;
}