/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.webapi.system;

import top.continew.starter.extension.crud.enums.Api;

import io.swagger.v3.oas.annotations.tags.Tag;

import org.springframework.web.bind.annotation.*;

import top.continew.starter.extension.crud.annotation.CrudRequestMapping;
import top.continew.starter.extension.crud.controller.BaseController;
import com.zayac.admin.system.model.query.PlatformQuery;
import com.zayac.admin.system.model.req.PlatformReq;
import com.zayac.admin.system.model.resp.PlatformDetailResp;
import com.zayac.admin.system.model.resp.PlatformResp;
import com.zayac.admin.system.service.PlatformService;

/**
 * 平台管理 API
 *
 * @author zayac
 * @since 2024/05/14 12:28
 */
@Tag(name = "平台管理 API")
@RestController
@CrudRequestMapping(value = "/system/platform", api = {Api.PAGE, Api.GET, Api.ADD, Api.UPDATE, Api.DELETE, Api.EXPORT})
public class PlatformController extends BaseController<PlatformService, PlatformResp, PlatformDetailResp, PlatformQuery, PlatformReq> {}